/*
-----------------------------------------------------
   Application Name: DIMG
          File Name: commentprompt.h
         Start Date: 29/03/2010
       Last Changed: $LastChangedDate: 2010-04-03 00:40:43 +1300 (Sat, 03 Apr 2010) $
           Revision: $Revision: 189 $
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2010
            License: GNU General Public License
   File Description: Comment Prompt dialog
-----------------------------------------------------
        This file is part of DIMG.

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

File Notes:
------------------
*/

#ifndef COMMENTPROMPT_H
#define COMMENTPROMPT_H

#include <QDialog>
#include "ui_commentprompt.h"

namespace Ui {
    class CommentPrompt;
}

class CommentPrompt : public QDialog {
    Q_OBJECT
public:
    CommentPrompt(QWidget *parent = 0):
            QDialog(parent),
            ui(new Ui::CommentPrompt)
        {
            ui->setupUi(this);
        }
    ~CommentPrompt(){
        delete ui;
    }

    QString getComment() {
        return ui->pteComment->toPlainText();
    }

    void setComment(QString newComment) {
        ui->pteComment->setPlainText(newComment);
    }

protected:
    void changeEvent(QEvent *e)
    {
        QDialog::changeEvent(e);
        switch (e->type()) {
        case QEvent::LanguageChange:
            ui->retranslateUi(this);
            break;
        default:
            break;
        }
    }

private:
    Ui::CommentPrompt *ui;
};

#endif // COMMENTPROMPT_H
